function::probe_type
Prev | Chapter 2. Context Functions | Next

## Name

function::probe_type — The low level probe handler type of the current probe.

## Synopsis

        probe_type:string()

## Arguments

None

## Description

Returns a short string describing the low level probe handler type for the current probe point. This is for informational purposes only. Depending on the low level probe handler different context functions can or cannot provide information about the current event (for example some probe handlers only trigger in user space and have no associated kernel context). High-level probes might map to the same or different low-level probes (depending on systemtap version and/or kernel used).

Prev | Up | Next
function::print_usyms | Home | function::probefunc